OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_TreeNode Class Reference

`#include <PDataStd_TreeNode.hxx>`

Inheritance diagram for PDataStd_TreeNode:

[legend]

## Public Member Functions
Standard_EXPORT | PDataStd_TreeNode ()
Standard_EXPORT Handle_PDataStd_TreeNode | First () const
Standard_EXPORT void | SetFirst (const Handle(PDataStd_TreeNode)&F)
Standard_EXPORT Handle_PDataStd_TreeNode | Next () const
Standard_EXPORT void | SetNext (const Handle(PDataStd_TreeNode)&F)
Standard_EXPORT void | SetTreeID (const Standard_GUID &GUID)
Standard_EXPORT Standard_GUID | GetTreeID () const
| PDataStd_TreeNode (const Storage_stCONSTclCOM &a)
| Handle (PDataStd_TreeNode) _CSFDB_GetPDataStd_TreeNodemyFirst() const
void | _CSFDB_SetPDataStd_TreeNodemyFirst (const Handle(PDataStd_TreeNode)&p)
| Handle (PDataStd_TreeNode) _CSFDB_GetPDataStd_TreeNodemyNext() const
void | _CSFDB_SetPDataStd_TreeNodemyNext (const Handle(PDataStd_TreeNode)&p)
const Standard_GUID & | _CSFDB_GetPDataStd_TreeNodemyTreeID () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PDataStd_TreeNode | myFirst
Handle_PDataStd_TreeNode | myNext
Standard_GUID | myTreeID

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_TreeNode::PDataStd_TreeNode | ( |  | ) |

PDataStd_TreeNode::PDataStd_TreeNode | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const Standard_GUID& PDataStd_TreeNode::_CSFDB_GetPDataStd_TreeNodemyTreeID | ( |  | ) | const`[inline]`

void PDataStd_TreeNode::_CSFDB_SetPDataStd_TreeNodemyFirst | ( | const Handle(PDataStd_TreeNode)& | p | ) | `[inline]`

void PDataStd_TreeNode::_CSFDB_SetPDataStd_TreeNodemyNext | ( | const Handle(PDataStd_TreeNode)& | p | ) | `[inline]`

Standard_EXPORT Handle_PDataStd_TreeNode PDataStd_TreeNode::First | ( |  | ) | const

Standard_EXPORT Standard_GUID PDataStd_TreeNode::GetTreeID | ( |  | ) | const

Standard_EXPORT const PDataStd_TreeNode::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_TreeNode::Handle | ( | PDataStd_TreeNode |  | ) | const`[inline]`

PDataStd_TreeNode::Handle | ( | PDataStd_TreeNode |  | ) | const`[inline]`

Standard_EXPORT Handle_PDataStd_TreeNode PDataStd_TreeNode::Next | ( |  | ) | const

Standard_EXPORT void PDataStd_TreeNode::SetFirst | ( | const Handle(PDataStd_TreeNode)& | F | ) |

Standard_EXPORT void PDataStd_TreeNode::SetNext | ( | const Handle(PDataStd_TreeNode)& | F | ) |

Standard_EXPORT void PDataStd_TreeNode::SetTreeID | ( | const Standard_GUID & | GUID | ) |

## Field Documentation

Handle_PDataStd_TreeNode PDataStd_TreeNode::myFirst`[private]`

Handle_PDataStd_TreeNode PDataStd_TreeNode::myNext`[private]`

Standard_GUID PDataStd_TreeNode::myTreeID`[private]`

The documentation for this class was generated from the following file:

- PDataStd_TreeNode.hxx